Rated 5 out of 5 stars

Amazing addon! Works great, etc. ( if you want it for Firefox 3.0.1 its right here -> http://www.gness.com/distrust/download/distrust-0.8.1.xpi )

This review is for a previous version of the add-on (0.8.1). 

Rated 4 out of 5 stars

I give it 4/5 because it isn't updated to work on latest firefox.. appart from that, it's great! :)

This review is for a previous version of the add-on (0.8.1). 

Says for older version Rated 5 out of 5 stars

Never tried it, I was going to, but it says its for older versions.

I found this addon with the advanced search set to 3.0 to 3.1

I have 3.01.

Sigh.

This review is for a previous version of the add-on (0.8.1). 

For FF3 download version 0.8.1 from the developer's website: http://www.gness.com/distrust/download/distrust-0.8.1.xpi Rated 5 out of 5 stars

For FF3 download version 0.8.1 from the developer's website: http://www.gness.com/distrust/download/distrust-0.8.1.xpi

This review is for a previous version of the add-on (0.8.1). 

Rated 5 out of 5 stars

For FF3 download version 0.8.1 from the developer's website: http://www.gness.com/distrust/download/distrust-0.8.1.xpi

This review is for a previous version of the add-on (0.8.1). 

Rated 5 out of 5 stars

download the latest version here:-

http://www.gness.com/distrust/download/distrust-0.8.1.xpi

This review is for a previous version of the add-on (0.8.1). 

Rated 5 out of 5 stars

There is definitely something strange going on, because there are no comments on the site after June 18th (there were some before version 0.81 disappeared. I posted a comment on July 13th and it still says "Your comment is awaiting moderation."

However, if you click the "See All Versions" link on this page, you can download 0.81 directly from Firefox Add-ons - it's listed as "Experimental."

This review is for a previous version of the add-on (0.8.1). 

speculation Rated 5 out of 5 stars

Fishy indeed, and distrustful I am. This is purely speculation, but perhaps Distrust has been swallowed by the FF developers to be incorporated into a future build (see https://bugzilla.mozilla.org/show_bug.cgi?id=248970)? Hmmm...and that is why they aren't releasing an official FF3 version? Another [conspiracy] theory is that the government and MS are somehow involved? One must be curious when 0.8.1 is surreptitiously yanked from the dev's website.

In the meantime though, another extension that purportedly (I haven't personally tried it yet) performs the same functionality but has an official FF3-compatible version is Stealther (https://addons.mozilla.org/en-US/firefox/addon/1306).

This review is for a previous version of the add-on (0.8.1). 

Rated 4 out of 5 stars

Why was it on his site, and now it's not? Between that and the length of time it's taking to get approved here, something seems fishy.

This review is for a previous version of the add-on (0.8.1). 

Thanks Rated 5 out of 5 stars

Thanks to whoever posted the actual link to the download, the previous link wasn't working. Works great now. :) It's probably taking a while considering every add-on is being updated for the new version.

This review is for a previous version of the add-on (0.8.1). 

Incompatible with AutoSlideShow Rated 4 out of 5 stars

Love the add-on but with it just installed (not enabled) autoslideshow will not work.

This review is for a previous version of the add-on (0.8.1). 

Rated 5 out of 5 stars

This is the better than Stealther for hiding a browsing session. Stealther will nuke ALL of your browsing history, while Distrust will just hide your browsing for one session.

0.8.1, the version compatible with FF3 is no longer on his site, but I was able to find it here:

http://www.extenzilla.org/scheda_estensione.php?id=561

Don't worry about the Italian, the extension itself will be in English.

This review is for a previous version of the add-on (0.8.1). 

Rated 5 out of 5 stars

Version 0.8.1 works with FF3.

This is a great extension, just click on the green tick to clear the history, then click on the eye to start monitoring again.

If you would like this for FF3, version 0.8.1 can be downloaded from the developer's website: http://www.gness.com/distrust/.

Actually I have found that several extensions work with FF3 if you uninstall them and reinstall them, or download them from the developers' websites instead.

This review is for a previous version of the add-on (0.8.1). 

Rated 5 out of 5 stars

Version 0.8.1 works with FF3.

This is a great extension, just click on the green tick to clear the history, then click on the eye to start monitoring again.

If you would like this for FF3, version 0.8.1 can be downloaded from the developer's website: http://www.gness.com/distrust/.

Actually I have found that several extensions work with FF3 if you uninstall them and reinstall them, or download them from the developers' websites instead.

This review is for a previous version of the add-on (0.8.1). 

Rated 5 out of 5 stars

If you skip the compatibility check and install 0.8 from addons.mozilla.org, it does not work.

However, version 0.8.1 from the website works great! (although you have to click on the icon to turn it on and off)

This review is for a previous version of the add-on (0.8.1). 

Rated 5 out of 5 stars

An excellent tool. However, the icon did not appear and I have to press the f9 button for it to operate which is fine. The bad news is that I had accidentaly been downloading a video when my wife came home. The f9 did not work. !!
Fortunately, she is understanding, but... beware that it works well in search, but slow whilst downloading.

This review is for a previous version of the add-on (0.8.1). 

Rated 5 out of 5 stars

I don't understand why it hasn't been approved yet

This review is for a previous version of the add-on (0.8.1). 

Rated 5 out of 5 stars

this add-on is awesome - does what it's supposed to do.

here's the story on v0.8.1 which *is* compatible with FF3:

http://www.gness.com/distrust/?p=56

This review is for a previous version of the add-on (0.8.1). 

Rated 4 out of 5 stars

Man, please update it for FF3!
This is a great addon, but really need an update..

This review is for a previous version of the add-on (0.8.1). 

thanks! Rated 5 out of 5 stars

Thanks so much gentk, gness.com has it, and its working so... awesome! thanks for the link, now i just can't wait for it to actually be approved.

This review is for a previous version of the add-on (0.8.1).